Get Payin
curl --request GET \
--url https://api.hopnow.io/v1/accounts/{account_id}/payins/{payin_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/payins/{payin_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/payins/{payin_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"account_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"network": "<string>",
"amount_in_usd": "<string>",
"status": "<string>",
"payment_method": "<string>",
"deposit_destination": {},
"payin_type": "<string>",
"note": "<string>",
"txn_hash": "<string>",
"provider_reference_id": "<string>",
"initiated_at": "<string>",
"completed_at": "<string>",
"failed_at": "<string>",
"failed_reason": "<string>",
"created": "<string>",
"updated": "<string>"
}Payins
Get Payin
Retrieve detailed information about a specific incoming payment
GET
/
v1
/
accounts
/
{account_id}
/
payins
/
{payin_id}
Get Payin
Path Parameters
string
required
The account’s external ID (starts with
acct_)string
required
The payin’s external ID (starts with
pi_)Response
string
Payin identifier (starts with
pi_)string
Always returns
"payin"string
Account ID
string
Payin amount (decimal)
string
Currency code
string
Blockchain network (for crypto payins)
string
Amount converted to USD
string
Payin status:
pending, processing, completed, or failedstring
Payment method (e.g.,
crypto, manual, bank_transfer)object
Which balance was credited.
{"type": "trading_balance"} today; virtual-account destinations ({"type": "virtual_account", "virtual_account_id": "va_…"}) arrive with the VA product.string
Type of payin:
standard or manualstring
Optional note
string
Blockchain transaction hash (for crypto payins)
string
Provider reference ID
string
ISO 8601 timestamp when payin was initiated
string
ISO 8601 timestamp when payin completed
string
ISO 8601 timestamp when payin failed
string
Reason for failure
string
ISO 8601 timestamp when created
string
ISO 8601 timestamp when last updated
Response Example
{
"id": "pi_1234567890abcdef",
"object": "payin",
"account_id": "acct_1234567890abcdef",
"amount": "1000.00",
"currency": "USD",
"network": null,
"amount_in_usd": "1000.00",
"status": "completed",
"deposit_destination": {"type": "trading_balance"},
"payment_method": "bank_transfer",
"payin_type": "standard",
"note": null,
"txn_hash": null,
"provider_reference_id": "trace_123",
"initiated_at": "2024-01-15T10:00:00Z",
"completed_at": "2024-01-15T10:05:00Z",
"failed_at": null,
"failed_reason": null,
"created": "2024-01-15T10:00:00Z",
"updated": "2024-01-15T10:05:00Z"
}